X2Go Bug report logs - #251
User x2goclient expected, but user x2gothinclient established

version graph

Package: x2gothinclient; Maintainer for x2gothinclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gothinclient is src:x2gothinclient.

Reported by: stephan.wagner@itos-gmbh.com

Date: Thu, 27 Jun 2013 14:18:01 UTC

Severity: normal

Tags: pending

Found in version 1.0.1.8-0

Fixed in version 1.0.99.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#251; Package x2gothinclient. (Thu, 27 Jun 2013 14:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephan.wagner@itos-gmbh.com:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 27 Jun 2013 14:18:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Stephan Wagner <stephan.wagner@itos-gmbh.com>
To: submit@bugs.x2go.org
Subject: User x2goclient expected, but user x2gothinclient established
Date: Thu, 27 Jun 2013 16:09:24 +0200
Package: x2gothinclient
Version: 1.0.1.8-0

A user "x2gothinclient" is established in the TCE- environment, but 
/usr/sbin/x2gothinclientd expects the user "x2goclient", with its home 
directory at /home/x2goclient. Therefore /usr/bin/x2goclient will not start, 
leaving the user in front of a black screen.

Intruducing the user 'x2goclient' solved the problem.

Stephan

-- 
__________________________________________________
Dr. Stephan Wagner
ITos GmbH
Bitzi-Bendel 2555
9642 Ebnat-Kappel
Tel: +41 (0)71 990 05 94
mailto:swagner@itos-gmbh.com
http://www.itos-gmbh.com
--------------------------------------------------


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#251; Package x2gothinclient. (Thu, 27 Jun 2013 19:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 27 Jun 2013 19:48:01 GMT) Full text and rfc822 format available.

Message #10 received at 251@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: stephan.wagner@itos-gmbh.com, 251@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#251: User x2goclient expected, but user x2gothinclient established
Date: Thu, 27 Jun 2013 21:35:55 +0200
[Message part 1 (text/plain, inline)]
Hi Stephan,

On Do 27 Jun 2013 16:09:24 CEST Stephan Wagner wrote:

> Package: x2gothinclient
> Version: 1.0.1.8-0
>
> A user "x2gothinclient" is established in the TCE- environment, but
> /usr/sbin/x2gothinclientd expects the user "x2goclient", with its home
> directory at /home/x2goclient. Therefore /usr/bin/x2goclient will not start,
> leaving the user in front of a black screen.
>
> Intruducing the user 'x2goclient' solved the problem.

Obviously you obtained the x2gothinclientmanagement package from our  
nightly builds (v1.0.99.x) and then set up a TCE from the stable  
repository. This will not work and will not be supported.

I will add a slight change to the x2gothinclient_settings file for the  
time being (means: while the 1.0.99.x is not yet 1.1.0.0).

Greets,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#251; Package x2gothinclient. (Thu, 27 Jun 2013 19:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 27 Jun 2013 19:48:02 GMT) Full text and rfc822 format available.

Message #15 received at 251@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 251-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 251@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as pending for release
Date: Thu, 27 Jun 2013 21:38:34 +0200 (CEST)
tag #251 pending
fixed #251 1.0.99.1
thanks

Hello,

X2Go issue #251 (src:x2gothinclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=7ee07a9

The issue will most likely be fixed in src:x2gothinclient (1.0.99.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 7ee07a96063a3266bd79ce109924a88c8eaa4ab5
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Jun 27 21:38:30 2013 +0200

    TCE creation: install the TCE from the nightly builds while this project is not yet released. (Fixes: #251).

diff --git a/debian/changelog b/debian/changelog
index 2494e04..6cc8c51 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -68,6 +68,8 @@ x2gothinclient (1.0.99.1-0~x2go1) UNRELEASED; urgency=low
     - Fix shutdown button failures.
     - TCE management: Do an apt-get clean after TCE creation/upgrade.
     - TCE creation: fix installation path of FreeRDP's known_hosts file.
+    - TCE creation: install the TCE from the nightly builds while this
+      project is not yet released. (Fixes: #251).
   * /debian/control:
     + Maintainer change in package: X2Go Developers <x2go-dev@lists.berlios.de>.
     + Priority: optional.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 27 Jun 2013 19:48:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 1.0.99.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 27 Jun 2013 19:48:02 GMT) Full text and rfc822 format available.

Message sent on to stephan.wagner@itos-gmbh.com:
Bug#251. (Thu, 27 Jun 2013 19:48:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#251; Package x2gothinclient. (Fri, 19 Jul 2013 21:55:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 19 Jul 2013 21:55:13 GMT) Full text and rfc822 format available.

Message #27 received at 251@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 251-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 251@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as closed
Date: Fri, 19 Jul 2013 23:53:02 +0200 (CEST)
close #251
thanks

Hello,

we are very hopeful that X2Go issue #251 reported by you
has been resolved in the new release (1.1.0.0) of the
X2Go source project »src:x2gothinclient«.

You can view the complete changelog entry of src:x2gothinclient (1.1.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gothinclient.

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=82d0f1a2a4c45b40e76ce98d2b8ad8b28e7aad56;hp=111c8e9da59660fb68473111fb0a32c7106a1170

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gothinclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gothinclient
Version: 1.1.0.0
Status: RELEASE
Date: Fri, 19 Jul 2013 23:31:10 +0200
Fixes: 66 95 115 251
Changes: 
 x2gothinclient (1.1.0.0) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (1.1.0.0):
     - When X2Go TCE has plymouth installed, make sure pressing the
       halt button does not change to the wrong tty.
     - Truncate echo output lines to less than 80 chars.
     - Use sed to patch initramfs configuration (rather than a patch
       that fails on wheezy). The change is needed for squeeze only.
     - Fix x2go_tce_shell.sh script, escape braces.
     - Change method of mounting /proc, /sys and /dev inside of chroots.
     - Step towards wheezy, enable plymouth boot splash.
     - Symlink /etc/mtab to /proc/mounts before installing any kernel
       during the chroot creation process.
     - Handle /etc/fstab in TCE chroot differently for squeeze and wheezy
       (/dev/pts does not need an entry in fstab on wheezy systems, /var/run
       got relocated to /run).
     - /etc/network/interfaces in wheezy already contains a loopback device
       entry.
     - Mount proc and sysfs from outside chroot, cleanly unmount both in case
       there are more than one mountpoints for sysfs or proc mounted.
     - Do not fail if proc or sysfs are already mounted within chroot.
     - Allow thin client management (x2gothinclient_shell,
       x2gothinclient_upgrade) while thin clients are in use.
     - Disable kms for radeon and i915 graphics adapters.
     - x2gothinclient_shell now does not affect boot behavious of the TCE
       machines anymore, thus, removing the notification output when
       launching the X2Go TCE maintenance shell.
     - Drop i686 kernel support, use i486 kernel by default. In Debian wheezy
       we only find a 686-pae kernel which fails on some (virtual) hardware (e.g.
       virtualbox).
     - Make sure that kernel + initrd symlinks are relative symlinks.
     - Keep mounts for /proc and /dev/pts with option noauto for mounting inside
       of chroot. They are not needed during TCE boot.
     - Make the SSH daemon listen on IPv4 localhost address only.
     - Provide /dev/pts inside chroot.
     - Move configuration template from /usr/share/tce to /usr/share/tce/etc.
     - Add direct FreeRDP support for defaults TCE installation.
     - Add empty known_host file for FreeRDP.
     - Start with US keyboard as default keyboard layout.
     - Only mount /proc, /sys, /dev/pts inside chroot if not already mounted.
     - Xorg appears as /usr/bin/X in ps ax output. Make sure it gets detected.
     - Provide a README.hostname file in doc folder of x2gothinclientmanagement.
     - For TCE stations with multiple heads, align heads next to each other
       in order of appearance in xrandr.
     - Fix multi-head detection failures where xrandr writes output to stderr
       (closes upstream issue #48).
     - Rename x2goclient user to ,,x2gothinclient'' user (system user account).
       Make sure that the system user account gets created during
       x2gothinclient_create and during installation of the x2gothinclient
       package (closes upstream issue #47).
     - x2gothinclient_create: replace /home by /var/lib/x2gothinclient in
       /etc/fstab template.
     - x2gothinclient_update: make sure config target folders exist.
     - x2gothinclient_create: syntax fix, spotted by Thomas Güttler (Fixes: #95).
     - Export $LANG and $LANGUAGE to TCE daemon.
     - Use qx instead of open3 to launch x2goclient. (Fixes: #66).
     - Only make x2gousbmount and x2gognupgccid scripts functional if
       x2gothinclientd is running.
     - When finishing x2gothinclientd, wait when killing processes till all
       processes have vanished. Only kill processes owned by user x2gothinclient.
     - When finishing x2gothinclientd, make sure no dbus-* processes remain.
     - Unmount /proc, /sys and /dev/pts before doing x2gothinclient_cleanup.
     - Add README.qemu that explains how to test the X2Go TCE with qemu.
       (Fixes: #115).
     - Fix code that turns absolute symlinks into relative symlink for /vmlinuz
       and /initrd.img.
     - Fix shutdown button failures.
     - TCE management: Do an apt-get clean after TCE creation/upgrade.
     - TCE creation: fix installation path of FreeRDP's known_hosts file.
     - TCE creation: install the TCE from the nightly builds while this
       project is not yet released. (Fixes: #251).
     - TCE creation: default to wheezy for creating new TCE environments.
   * /debian/control:
     + Maintainer change in package: X2Go Developers <x2go-dev@lists.berlios.de>.
     + Priority: optional.
     + Add dependency (x2gothinclient bin:package): x11-xserver-utils (for xrandr
       support).
     + Add dependency (x2gousbmount, x2gocdmanager): libfile-path-expand-perl.
     + Bump Standards to 3.9.3 (no changes needed).
     + Remove TCE tools (vim, mc, ...) from Recommends: field, install those via
       x2gothinclient_create. Add pulseaudio, dbus-x11, policykit-1 to Depends:
       field.
   * /debian/rules:
     + Fix lintian issue: debian-rules-missing-recommended-target build-arch
     + Fix lintian issue: debian-rules-missing-recommended-target build-indep
   * /debian/x2gothinclient.examples:
     + Fix src location of example config files.
   * /debian/x2gothinclient.install:
     + Install TCE config files into /etc/x2go by default.
   * /debian/x2gothinclientmanagement.manpages:
     + Make sure all man pages for bin:package x2gothinclientmanagement get
       installed into package.
   * /debian/x2gothinclient.init:
     + Update pointer to X2Go TCE documentation on http://wiki.x2go.org.
   * /debian/x2gothinclient.postrm:
     + On action=purge, wait for 20s until x2gothinclientd has stopped.
   * /debian/po/*:
     + Use po-debconf for translating debconf templates. Add German debconf
       translation.
   * Launch X2Go TCE via /etc/X11/default-display-manager. Add debconf template
     to handle default display manager selection. Inspired by Debian's gdm
     package.
   * Only start X2Go CD Manager if x2gothinclientd is the default display
     manager.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (1.1.0.0):
     - Use expand_file from File::Path::Expand to detect full path
       of ~x2gothinclient/.halt.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 21:55:16 GMT) Full text and rfc822 format available.

Notification sent to stephan.wagner@itos-gmbh.com:
Bug acknowledged by developer. (Fri, 19 Jul 2013 21:55:16 GMT) Full text and rfc822 format available.

Message sent on to stephan.wagner@itos-gmbh.com:
Bug#251. (Fri, 19 Jul 2013 21:55:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 17 Aug 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Apr 21 04:41:54 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.